commit:     627563e1d3bcc12e94fc9c2444371db86fa2de5c
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 16 14:37:33 2022 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Wed Mar 16 14:38:18 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=627563e1

dev-php/swoole: Version bump for 4.8.7

Signed-off-by: Brian Evans <grknight <AT> gentoo.org>

 dev-php/swoole/Manifest            |  1 +
 dev-php/swoole/metadata.xml        |  3 ++
 dev-php/swoole/swoole-4.8.7.ebuild | 70 ++++++++++++++++++++++++++++++++++++++
 3 files changed, 74 insertions(+)

diff --git a/dev-php/swoole/Manifest b/dev-php/swoole/Manifest
index 64550949ad54..cb07e9960ba8 100644
--- a/dev-php/swoole/Manifest
+++ b/dev-php/swoole/Manifest
@@ -5,3 +5,4 @@ DIST swoole-4.4.15.tgz 1454897 BLAKE2B 
38f804e5f2f41ba2bc32ac2e6fd7be3e03f7a3614
 DIST swoole-4.4.16.tgz 1457270 BLAKE2B 
4b65270aa1014ea68cadae8eb021d37498dc3fe0bf2d681c95bf7113928138bc26ab73f3be91185eb5ecebcb4940906814913c7908c87592aafd33fbc1820bf7
 SHA512 
7be4705967ed6b7a955f679f8c39585d34dc8c87ba608ac3ae2b0fc3cae9513d9639c8e9aac4278ce85acc215b500044626aab9b2aac725c9ffaef72dfb02dd7
 DIST swoole-4.4.19.tgz 1469420 BLAKE2B 
0240b5fbd6a4625d426d0c960859b8215122fff10be9e70823eb32f196d3ec075a952dc133258b04c323439de982079f5acbab9039958c457aa18f1687118ce3
 SHA512 
be4671da9fdbf65daf6364e5eaca9b25fd3557bec848a04b636ace48c896d4dbf08f6e877d6166571aa966732a70037bf2d4ba2f302696dd2b1371e2de993106
 DIST swoole-4.5.9.tgz 1552445 BLAKE2B 
602ce65f7b59a3c199d7718aeb941d1ebde7d59096335992c2278f7e330f7b48554a8418cc4014f6fcf47af92d315368a16c572055b1fd9575608c2559ed3107
 SHA512 
9154a2874480218aa3c8935979267efb92a3d5a4f1ba7dc071bf4c2b169d69e31a6ad7412785d00543dc5827ce2d6c5999b6cabea2089818f3f57acc26bcb31f
+DIST swoole-4.8.7.tgz 1851160 BLAKE2B 
3e5c9d664f1897b7bd490a1e9dbc4c3c03117a18ae58586efe534c617578a7af5be779e6ca44a5bf2f782abc2eb57bc21e3dc4e3445c3299918bc189547dc75c
 SHA512 
36f36aface71435233aaa8c81e023b813c6175d3ed00a9de20acb690b58b464d99670c3b96f247ab1147f95e099d44785d60d5f1e36f519ccfeb09b3bddba264

diff --git a/dev-php/swoole/metadata.xml b/dev-php/swoole/metadata.xml
index a64ace0fb389..fa5b5ed25cfb 100644
--- a/dev-php/swoole/metadata.xml
+++ b/dev-php/swoole/metadata.xml
@@ -8,4 +8,7 @@
 <use>
 <flag name="http2">Add support for HTTP/2 protocol via 
<pkg>net-libs/nghttp2</pkg></flag>
 </use>
+<upstream>
+  <remote-id type="github">swoole/swoole-src</remote-id>
+</upstream>
 </pkgmetadata>

diff --git a/dev-php/swoole/swoole-4.8.7.ebuild 
b/dev-php/swoole/swoole-4.8.7.ebuild
new file mode 100644
index 000000000000..74dd612ea9a3
--- /dev/null
+++ b/dev-php/swoole/swoole-4.8.7.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+PHP_EXT_NAME="swoole"
+PHP_EXT_INI="yes"
+PHP_EXT_ZENDEXT="no"
+PHP_EXT_SAPIS="cli"
+PHP_EXT_NEEDED_USE="cli,sockets?"
+DOCS=( README.md )
+
+USE_PHP="php7-4 php8-0 php8-1"
+
+inherit php-ext-pecl-r3
+
+HOMEPAGE="https://www.swoole.co.uk";
+KEYWORDS="~amd64 ~x86"
+
+DESCRIPTION="Event-driven asynchronous & concurrent & coroutine networking 
engine"
+LICENSE="Apache-2.0"
+SLOT="0"
+# Tests require network access for composer libraries under 
tests/include/lib/vendor
+RESTRICT="test"
+
+DEPEND="
+       app-arch/brotli:0=
+       dev-libs/libpcre
+       sys-libs/zlib:0=
+       ssl? (
+               dev-libs/openssl:0=
+       )
+       mysql? (
+               php_targets_php7-4? ( dev-lang/php:7.4[mysql,mysqli(+)] )
+               php_targets_php8-0? ( dev-lang/php:8.0[mysql,mysqli(+)] )
+               php_targets_php8-1? ( dev-lang/php:8.1[mysql,mysqli(+)] )
+       )
+"
+
+RDEPEND="${DEPEND}"
+
+IUSE="debug http2 mysql sockets ssl"
+
+src_configure() {
+       # JEMalloc not included as it refuses to find a 
${ESYSROOT}/usr/includes/jemalloc subdirectory
+       local PHP_EXT_ECONF_ARGS=(
+               --enable-swoole
+               $(use_enable debug)
+               $(use_enable http2)
+               $(use_enable mysql mysqlnd)
+               $(use_enable ssl openssl)
+               $(use_with ssl openssl-dir "${ESYSROOT}/usr")
+               $(use_enable sockets)
+       )
+
+       php-ext-source-r3_src_configure
+}
+
+src_test() {
+       ulimit -n 16384 > /dev/null 2>&1
+       local slot
+       for slot in $(php_get_slots); do
+               php_init_slot_env "${slot}"
+               cd tests || die
+               if has_version ">=dev-php/xdebug-3" ; then
+                       sed -i 's/xdebug.default_enable=0/xdebug.mode=off/' 
run-tests || die
+               fi
+               PHPT=1 "${PHPCLI}" -d "memory_limit=1024m" ./run-tests swoole_* 
|| die
+       done
+}

Reply via email to